> For the complete documentation index, see [llms.txt](https://partner-docs.covergenius.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://partner-docs.covergenius.com/rentalcover/endpoints/update-customer.md).

# Update Customer

**What it does:** Updates customer personal information on an existing booking, including email address.

```
POST /insurances/updateCustomer
```

## Example request

{% tabs %}
{% tab title="POST" %}

```shellscript
curl -i -X POST \
  -H "X_API_KEY: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "AgentReference": "AB23-456C-INS",
    "Email": "jane@example.com",
    "NewEmail": "jane.new@example.com",
    "FirstName": "Jane",
    "LastName": "Smith",
    "Phone": "+12125551234",
    "CustomerAge": 33,
    "Address1": "456 Park Ave",
    "City": "New York",
    "PostalCode": "10022",
    "Region": "NY",
    "Country": "US"
  }' \
  https://api-staging.rentalcover.com/insurances/updateCustomer
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
   "Country":{
      "Code":"AU",
      "Name":"Australia",
      "PhoneCode":"+61"
   },
   "Customer":{
      "CustomerId":"229233",
      "FirstName":"John",
      "LastName":"Doe",
      "Email":"neweemail@test.com",
      "Phone":"+6141012345678",
      "Address1":"20 Some Address",
      "Address2":"Suite 15",
      "City":"Sydney",
      "Region":"NSW",
      "PostalCode":"2014",
      "CountryId":"14",
      "DateOfBirth":"1990-01-01",
      "Age":28,
      "Coupons":{
         "bonvoyage-PAPpC":{
            "Title":"15% off your policy",
            "Value":"15",
            "ValueType":"Percentage",
            "AmountRemaining":null,
            "EffectiveFrom":"2018-06-28 00:00:00",
            "EffectiveTo":"2018-07-12 00:00:00",
            "Terms":"<ul><li>User is entitled to a 15% discount on eligible RentalCover.com policies. All policies are eligible except RentalCover.com's \"Collision Damage Coverage\" for US Residents/Citizens and \"Annual\" policies.</li><li>Payment must be conducted via RentalCover.com's website or mobile app. It is not applicable via our partner sites.</li><li>Coupon cannot be shared.</li><li>Coupon expires on: 2018-07-12. Coupon creation date: 2018-06-28.</li><li>Can only apply one coupon per paid policy.</li><li>Can only be used once per user</li></ul>"
         }
      }
   }
}
```

{% endtab %}
{% endtabs %}

## Request parameters

<table data-header-hidden="false" data-header-sticky><thead><tr><th width="170.4169921875">Parameter</th><th width="150.1805419921875">Required?</th><th>Description</th></tr></thead><tbody><tr><td><code>AgentReference</code></td><td>Required</td><td>The booking reference (e.g. <code>AB23-456C-INS</code>).</td></tr><tr><td><code>Email</code></td><td>Required</td><td>Current customer email. Used as a unique identifier along with the booking reference.</td></tr><tr><td><code>FirstName</code></td><td>Optional</td><td>Customer first name.</td></tr><tr><td><code>LastName</code></td><td>Optional</td><td>Customer last name.</td></tr><tr><td><code>NewEmail</code></td><td>Optional</td><td>New email address. Pass this to change the customer's email.</td></tr><tr><td><code>Phone</code></td><td>Optional</td><td>Customer phone number.</td></tr><tr><td><code>CustomerAge</code></td><td>Optional</td><td>Customer age.</td></tr><tr><td><code>DateOfBirth</code></td><td>Optional</td><td>Customer date of birth (<code>yyyy-mm-dd</code>).</td></tr><tr><td><code>Address1</code></td><td>Optional</td><td>Customer street address line 1.</td></tr><tr><td><code>Address2</code></td><td>Optional</td><td>Customer street address line 2.</td></tr><tr><td><code>City</code></td><td>Optional</td><td>Customer city or suburb.</td></tr><tr><td><code>Region</code></td><td>Optional</td><td>State, region, or territory code. See <a href="/rentalcover/supported-regions.md">Supported Regions</a>.</td></tr><tr><td><code>PostalCode</code></td><td>Optional</td><td>Customer postcode or zip.</td></tr><tr><td><code>Country</code></td><td>Optional</td><td>ISO 3166-1 alpha-2 country code.</td></tr><tr><td><code>OtherEmail</code></td><td>Optional</td><td>Secondary email address.</td></tr></tbody></table>

## Response

<table data-header-hidden="false" data-header-sticky><thead><tr><th>Field</th><th>Object type</th><th>Reference</th></tr></thead><tbody><tr><td><code>Country</code></td><td>DestinationCountry object</td><td>Customer's country (<code>Code</code>, <code>Name</code>, <code>PhoneCode</code>). See <a href="/rentalcover/shared-reference/response-objects.md#destinationcountry-object">DestinationCountry object</a>.</td></tr><tr><td><code>Customer</code></td><td>Customer object</td><td>The updated customer record. See <a href="/rentalcover/shared-reference/response-objects.md#customer-object">Customer object</a>.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://partner-docs.covergenius.com/rentalcover/endpoints/update-customer.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
